Class
IntervalTreeNode
Element of IntervalTree.

IntervalTreeNode

Interval Tree Node | Points Only Tree Node

IntervalTreeNode<TInterval, TSpec>
Include Headers
seqan/misc/misc_interval_tree.h
Parameters

TInterval | The type of interval to store.
TSpec | The type of interval to store. Metafunctions: Spec Default: StorePointsOnly.

Specializations

Interval Tree Node | An Interval Tree Node that stores intervals explicitely in each node.
Points Only Tree Node | Spec for IntervalTreeNode that stores only the relevant point in each node meaning the endpoint of the interval in the list sorted by endpoints (list2) and only the beginpoint of the interval in the list sorted by beginpoints (list1).

Metafunctions

Cargo | Type of additional data stored in an object.
ListType | Type of lists in tree nodes.
ListType | Type of lists in tree nodes.
Value | Type of the items in the container.

Data Members

center | The center of the interval of type TValue.
list1 | Sorted list of pointers to intervals, sorted in ascending according to their left boundary points.
list2 | Sorted list of pointers to intervals, sorted in descending according to their right boundary points.

Member Functions

IntervalTreeNode | Default constructor.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45